=== debian/control ===
Source: broadcom-sta
Section: non-free/admin
Priority: optional
Maintainer: Cyril Lacoux <clacoux@easter-eggs.com>
Build-Depends: debhelper (>= 7), quilt
Standards-Version: 3.9.1
Homepage: http://www.broadcom.com/support/802.11/linux_sta.php

Package: broadcom-sta-common
Architecture: all
Depends: ${misc:Depends}
Recommends: broadcom-sta-source, module-assistant
Suggests: wireless-tools
Description: Common files for the Broadcom STA Wireless driver
 Broadcom STA is a binary-only device driver to support the following IEEE
 802.11a/b/g/n wireless network cards: BCM4311-, BCM4312-, BCM4313-,
 BCM4321-, BCM4322-, BCM43224-, BCM43225-, BCM43227-, and BCM43228-based
 hardware.
 .
 This package contains the common files.

Package: broadcom-sta-source
Architecture: all
Depends: ${misc:Depends}, debhelper (>= 7), bzip2, make, quilt
Recommends: module-assistant
Suggests: wireless-tools
Description: Source for the Broadcom STA Wireless driver
 Broadcom STA is a binary-only device driver to support the following IEEE
 802.11a/b/g/n wireless network cards: BCM4311-, BCM4312-, BCM4313-,
 BCM4321-, BCM4322-, BCM43224-, BCM43225-, BCM43227-, and BCM43228-based
 hardware.
 .
 This package provides the source code for the wl kernel modules. The
 wireless-tools package is also required in order to make use of these modules.
 Kernel source or headers are required to compile these modules.
