=== debian/changelog ===
broadcom-sta (5.100.82.112-3) unstable; urgency=low

  * Added a note to NEWS.Debian to inform the user that the interface has been
    renamed in 5.100.82.112-2 (Closes: #648396).

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Fri, 11 Nov 2011 15:09:34 +0400

broadcom-sta (5.100.82.112-2) unstable; urgency=low

  * Added 02-rename-to-wlan0.patch to rename device from eth%d to wlan%d.
  * Added 04-2.6.39.patch to compile with 2.6.39.X kernels.
  * Thanks to Carlos Alberto Lopez Perez <clopez@igalia.com> (Closes: #648169).

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Thu, 10 Nov 2011 08:50:03 +0400

broadcom-sta (5.100.82.112-1) unstable; urgency=low

  * New upstream release. 

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Wed, 26 Oct 2011 08:51:03 +0400

broadcom-sta (5.100.82.111-1) unstable; urgency=low

  * New upstream release.
  * Refreshed changelog and license patches.
  * Removed obsolete patch 03-linux-2.6.37.patch.
  * Bumped standards version to 3.9.2 (No changes).

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Tue, 25 Oct 2011 08:21:13 +0400
