=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Cyril Lacoux <clacoux@easter-eggs.com>
 Build-Depends: debhelper (>= 7), quilt
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.broadcom.com/support/802.11/linux_sta.php
 
 Package: broadcom-sta-common
