## broadcom-sta 6.30.223.141

=== debian/changelog ===
broadcom-sta (6.30.223.141-1) unstable; urgency=low

  * New upstream release (Yeah!) (Closes: #688823).
  * Refreshed the following patch files:
    - 00-changelog.patch
    - 01-shipped-module.patch
    - 02-license.patch
    - 03-rename-to-wlan0.patch
    - 05-user_ioctl.patch (-> 04-user_ioctl.patch)
  * Dropped applied upstream patch files:
    - 04-linux-semaphore-include.patch
    - 06-2.6.39.patch
    - 07-3.0.0.patch
    - 08-3.2.0.patch
    - 09-3.4.0.patch
    - 10-3.6.0.patch
    - 11-3.8.0.patch
    - 12-3.9.0.patch
  * Added 05-3.10.0.patch for kernel 3.10 compatibility (Closes: #716999).

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Mon, 16 Sep 2013 10:19:56 +0400

broadcom-sta (5.100.82.112-11) unstable; urgency=low

  * Added 12-3.9.0.patch for kernel 3.9 compatibility (Closes: #711227).
  * Bumped standards version to 3.9.4 (No changes).

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Thu, 06 Jun 2013 17:32:29 +0400

broadcom-sta (5.100.82.112-10) unstable; urgency=low

  * Changed section from non-free/admin to non-free/kernel (See: #698894).
  * Added 11-3.8.0.patch for kernel 3.8 compatibility (Closes: #702788).

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Tue, 12 Mar 2013 10:22:56 +0400

broadcom-sta (5.100.82.112-9) unstable; urgency=low

  * Added bcma (which brcmsmac depends on) to blacklist (Closes: #697496).
  * Added 10-3.6.0.patch to fix kernel oops with 3.6 serie (Closes: #698216).

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Thu, 24 Jan 2013 09:36:20 +0400

broadcom-sta (5.100.82.112-8) unstable; urgency=low

  * Added 05-user_ioctl.patch to allow normal user to send ioctls.
  * Added 07-3.0.0.patch to use cfg80211 with 3.0 kernels, thanks to Jacopo
    Corbetta <jacopo.corbetta@gmail.com> (Closes: #672677)
  * Added 09-3.4.0.patch to compile with 3.4 kernels, thanks to Eugene San
    <eugenesan@gmail.com>
  * Reorded patches.
  * Export KVER variable to `make` (Closes: #651787)
  * Improved target kernel arch detection. (Closes: #651787)
    It was a pleasure, really.

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Mon, 18 Nov 2012 10:56:27 +0400

broadcom-sta (5.100.82.112-7) unstable; urgency=low

  * Revert architecture to all (Closes: #659732, #659509, #664476)
  * Bumped standards version to 3.9.3 (No changes)

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Tue, 17 Apr 2012 14:08:12 +0400

broadcom-sta (5.100.82.112-6) unstable; urgency=low

  * Added dkms support (Closes: #568034)
  * Remove modass override symlink
  * debian/control:
    - Set architecture to amd64 i386
    - Removed wireless-tools from Suggests since module recommends it
    - Bumped debhelper version to 8
  * debian/control.modules.in:
    - Bumped standards version to 3.9.2 (No changes)
    - Set architecture to amd64 i386
    - Removed quilt from Depends and Build-Depends
    - Bumped debhelper version to 8
  * debian/rules:
    - Moved module specific stuff to debian/rules.modules
    - Removed quilt stuff since it's natively supported by format 3.0
    - Rewrote most of file

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Sat, 28 Jan 2012 09:47:33 +0400

broadcom-sta (5.100.82.112-5) unstable; urgency=low

  * Re-add support for installation from sources (Closes: #655279).
  * Added 06-3.2.0.patch to compile with 3.2 kernels (Closes: #656600, #657049).

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Fri, 20 Jan 2012 08:59:07 +0400

broadcom-sta (5.100.82.112-4) unstable; urgency=low

  * Enabled compilation for 64bits kernel on i386 architecture
    (Closes: #651787):
    - Provide one merged src tree with both amd64 and i386 shipped proprietary
      modules.
    - Patch Makefile to select correct shipped module depending on kernel
      configuration.
    - Removed all extra patches (from i386 tree).
    - Removed SOURCEDIR = f(dpkg-architecture) from rules file.
    - Updated series file as well.

 -- Cyril Lacoux <clacoux@easter-eggs.com>  Wed, 14 Dec 2011 08:03:53 +0400
