=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Cyril Lacoux <clacoux@easter-eggs.com>
 Build-Depends: debhelper (>= 8), dkms
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.broadcom.com/support/802.11/linux_sta.php
 
 Package: broadcom-sta-common
@@ -28,8 +28,8 @@
 Description: dkms source for the Broadcom STA Wireless driver
  Broadcom STA is a binary-only device driver to support the following IEEE
  802.11a/b/g/n wireless network cards: BCM4311-, BCM4312-, BCM4313-,
- BCM4321-, BCM4322-, BCM43224-, BCM43225-, BCM43227-, and BCM43228-based
- hardware.
+ BCM4314-, BCM4321-, BCM4322-, BCM43224-, BCM43225-, BCM43227-, BCM4352, and
+ BCM43228-based hardware.
  .
  This package provides the source code for the wl kernel modules. The
  wireless-tools package is also required in order to make use of these modules.
@@ -42,8 +42,8 @@
 Description: Source for the Broadcom STA Wireless driver
  Broadcom STA is a binary-only device driver to support the following IEEE
  802.11a/b/g/n wireless network cards: BCM4311-, BCM4312-, BCM4313-,
- BCM4321-, BCM4322-, BCM43224-, BCM43225-, BCM43227-, and BCM43228-based
- hardware.
+ BCM4314-, BCM4321-, BCM4322-, BCM43224-, BCM43225-, BCM43227-, BCM4352, and
+ BCM43228-based hardware.
  .
  This package provides the source code for the wl kernel modules. The
  wireless-tools package is also required in order to make use of these modules.
