## broadcom-sta 6.30.223.271

=== amd64/Makefile ===
--- 
+++ 
@@ -1,22 +1,27 @@
-
 #
 # Makefile fragment for Linux 2.6
 # Broadcom 802.11abg Networking Device Driver
 #
-# Copyright (C) 2010, Broadcom Corporation
-# All Rights Reserved.
+# Copyright (C) 2015, Broadcom Corporation. All Rights Reserved.
 # 
-# This is UNPUBLISHED PROPRIETARY SOURCE CODE of Broadcom Corporation;
-# the contents of this file may not be disclosed to third parties, copied
-# or duplicated in any form, in whole or in part, without the prior
-# written permission of Broadcom Corporation.
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+# 
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
+# OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
+# CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 #
-# $Id: Makefile_kbuild_portsrc,v 1.6.54.4 2011-01-27 00:55:34 Exp $
+# $Id: Makefile_kbuild_portsrc 580354 2015-08-18 23:42:37Z $
 
 ifneq ($(KERNELRELEASE),)
 
   LINUXVER_GOODFOR_CFG80211:=$(strip $(shell \
-    if [ "$(VERSION)" -ge "2" -a "$(PATCHLEVEL)" -ge "6" -a "$(SUBLEVEL)" -ge "32" ]; then \
+    if [ "$(VERSION)" -ge "2" -a "$(PATCHLEVEL)" -ge "6" -a "$(SUBLEVEL)" -ge "32" -o "$(VERSION)" -ge "3" ]; then \
       echo TRUE; \
     else \
       echo FALSE; \
@@ -96,6 +101,22 @@
 
 endif
 
+#Check GCC version so we can apply -Wno-date-time if supported.  GCC >= 4.9
+empty:=
+space:= $(empty) $(empty)
+GCCVERSIONSTRING := $(shell expr `$(CC) -dumpversion`)
+#Create version number without "."
+GCCVERSION := $(shell expr `echo $(GCCVERSIONSTRING)` | cut -f1 -d.)
+GCCVERSION += $(shell expr `echo $(GCCVERSIONSTRING)` | cut -f2 -d.)
+GCCVERSION += $(shell expr `echo $(GCCVERSIONSTRING)` | cut -f3 -d.)
+# Make sure the version number has at least 3 decimals
+GCCVERSION += 00
+# Remove spaces from the version number
+GCCVERSION := $(subst $(space),$(empty),$(GCCVERSION))
+# Crop the version number to 3 decimals.
+GCCVERSION := $(shell expr `echo $(GCCVERSION)` | cut -b1-3)
+GE_49 := $(shell expr `echo $(GCCVERSION)` \>= 490)
+
 EXTRA_CFLAGS :=
 
 ifeq ($(APIFINAL),CFG80211)
@@ -110,23 +131,38 @@
 
 obj-m              += wl.o
 
-wl-objs            := 
+wl-objs            :=
 wl-objs            += src/shared/linux_osl.o
 wl-objs            += src/wl/sys/wl_linux.o
 wl-objs            += src/wl/sys/wl_iw.o
-wl-objs            += src/wl/sys/wl_cfg80211.o
+wl-objs            += src/wl/sys/wl_cfg80211_hybrid.o
 
-EXTRA_CFLAGS       += -I$(src)/src/include
-EXTRA_CFLAGS       += -I$(src)/src/wl/sys -I$(src)/src/wl/phy
-#EXTRA_CFLAGS       += -DBCMDBG_ASSERT
+EXTRA_CFLAGS       += -I$(src)/src/include -I$(src)/src/common/include
+EXTRA_CFLAGS       += -I$(src)/src/wl/sys -I$(src)/src/wl/phy -I$(src)/src/wl/ppr/include
+EXTRA_CFLAGS       += -I$(src)/src/shared/bcmwifi/include
+#EXTRA_CFLAGS       += -DBCMDBG_ASSERT -DBCMDBG_ERR
+ifeq "$(GE_49)" "1"
+EXTRA_CFLAGS       += -Wno-date-time
+endif
 
 EXTRA_LDFLAGS      := $(src)/lib/wlc_hybrid.o_shipped
 
+KBASE              ?= /lib/modules/`uname -r`
+KBUILD_DIR         ?= $(KBASE)/build
+MDEST_DIR          ?= $(KBASE)/kernel/drivers/net/wireless
+
+# Cross compile setup.  Tool chain and kernel tree, replace with your own.
+CROSS_TOOLS        = /path/to/tools
+CROSS_KBUILD_DIR   = /path/to/kernel/tree
+
 all:
-	KBUILD_NOPEDANTIC=1 make -C /lib/modules/`uname -r`/build M=`pwd`
+	KBUILD_NOPEDANTIC=1 make -C $(KBUILD_DIR) M=`pwd`
+
+cross:
+	KBUILD_NOPEDANTIC=1 make CROSS_COMPILE=${CROSS_TOOLS} -C $(CROSS_KBUILD_DIR) M=`pwd`
 
 clean:
-	KBUILD_NOPEDANTIC=1 make -C /lib/modules/`uname -r`/build M=`pwd` clean
+	KBUILD_NOPEDANTIC=1 make -C $(KBUILD_DIR) M=`pwd` clean
 
 install:
-	install -D -m 755 wl.ko /lib/modules/`uname -r`/kernel/drivers/net/wireless/wl.ko
+	install -D -m 755 wl.ko $(MDEST_DIR)
