=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
 
 # Live config
 ids_dir         := usr/share/broadcom-sta
+
+# AppStream data
+metadata_dir    := usr/share/appdata
 
 %:
 	dh $@ --with dkms
@@ -32,6 +35,8 @@
 	dh_installdirs -p $(dkms_package) $(dkms_target)
 	dh_install -p $(dkms_package) debian/tmp/* $(dkms_target)/
 	dh_install -p $(dkms_package) debian/broadcom-sta.ids $(ids_dir)/
+# disable the AppStream metadata until it's clear how to work around confusion with the devices supported by the free driver
+#	dh_install -p $(dkms_package) debian/broadcom-sta-dkms.metainfo.xml $(metadata_dir)/
 
 install-source: install-tmp
 	dh_installdirs -p $(source_package) $(source_target)
@@ -44,7 +49,7 @@
 	done
 	
 	# Make suitable tarball for module-assisant and kernel-package
-	cd debian/$(source_package)/usr/src && tar cfj $(source_name).tar.bz2 modules && rm -rf modules
+	cd debian/$(source_package)/usr/src && tar cfJ $(source_name).tar.xz modules && rm -rf modules
 
 override_dh_install: install-dkms install-source
